
//Full Name: 
//Andrew ID: 
//Approximate Number Of Hours Spent On Assignment: 

import java.util.*;

public class MusicLibrary
{
    //your private instance variables/data structures go here!!
    
    
    // Our standard helper method for reading from a text file.
    public static Scanner getFileScanner(String filename)
    {
        Scanner scanner = null;
        try { scanner = new Scanner(new java.io.File(filename)); }
        catch (Exception e)
        {
            System.out.println("File not found: " + filename);
            return null;
        }
        return scanner;
    }
    
    // Helper method for reading from a web page (url).
    // Returns null if the page cannot be opened.
    public static Scanner getUrlScanner(String url)
    {
        Scanner scanner = null;
        try { scanner = new Scanner(new java.net.URL(url).openStream()); }
        catch (Exception e)
        {
            System.out.println("Error opening url " + url);
            e.printStackTrace();
            System.exit(1);
        }
        return scanner;
    }
    
    // Helper method for reading from a web page (url) as plain text.
    // Returns null if the page cannot be opened (or for any other error).
    public static Scanner getUrlTextScanner(String url)
    {
        Scanner scanner = null;
        try
        {
            final StringBuffer sb = new StringBuffer();
            java.io.InputStreamReader reader = new java.io.InputStreamReader(new java.net.URL(url).openStream());
            javax.swing.text.html.HTMLEditorKit.ParserCallback parser =
                new javax.swing.text.html.HTMLEditorKit.ParserCallback()
            {
                public void handleText(char[] data, int pos)
                {
                    if (data != null) sb.append(data);
                }
                public void handleSimpleTag(javax.swing.text.html.HTML.Tag tag,
                                            javax.swing.text.MutableAttributeSet a,
                                            int pos)
                {
                    if (tag.breaksFlow()) sb.append("\n");
                }
            };
            new javax.swing.text.html.parser.ParserDelegator().parse(reader, parser, true);
            scanner = new Scanner(sb.toString());
        }
        catch (Exception e)
        {
            System.out.println("Error opening text reader for url: " + url);
            return null;
        }
        return scanner;
    }
    
    //Your HW7 methods go here!!
    
    
    public static void main(String[] args)
    {
        MusicLibrary myLibrary = new MusicLibrary();
        //your method tests go here!!
    }
}