import java.util.Scanner;

public class URLtoHTML
{
    
    // Helper method for reading from a web page (url).
    // Returns null if the page cannot be opened.
    public static Scanner getUrlScanner(String url)
    {
        Scanner scanner = null;
        try { scanner = new Scanner(new java.net.URL(url).openStream()); }
        catch (Exception e)
        {
            System.out.println("Error opening url " + url);
            e.printStackTrace();
            System.exit(1);
        }
        return scanner;
    }
    
    
    public static void main(String[] args)
    {
        String url = "http://www.cs.cmu.edu/~mjs/121/index.html";
        Scanner scanner = getUrlScanner(url);
        while (scanner.hasNext())
            System.out.println(scanner.nextLine());
    }
}
