import java.util.Scanner;

public class URLtoText
{
    
    // Helper method for reading from a web page (url) as plain text.
    // Returns null if the page cannot be opened (or for any other error).
    public static Scanner getUrlTextScanner(String url)
    {
        Scanner scanner = null;
        try
        {
            final StringBuffer sb = new StringBuffer();
            java.io.InputStreamReader reader = new java.io.InputStreamReader(new java.net.URL(url).openStream());
            javax.swing.text.html.HTMLEditorKit.ParserCallback parser =
                new javax.swing.text.html.HTMLEditorKit.ParserCallback()
            {
                public void handleText(char[] data, int pos)
                {
                    if (data != null) sb.append(data);
                }
                public void handleSimpleTag(javax.swing.text.html.HTML.Tag tag,
                                            javax.swing.text.MutableAttributeSet a,
                                            int pos)
                {
                    if (tag.breaksFlow()) sb.append("\n");
                }
            };
            new javax.swing.text.html.parser.ParserDelegator().parse(reader, parser, true);
            scanner = new Scanner(sb.toString());
        }
        catch (Exception e)
        {
            System.out.println("Error opening text reader for url: " + url);
            return null;
        }
        return scanner;
    }
    
    
    public static void main(String[] args)
    {
        String url = "http://www.cs.cmu.edu/~mjs/121/index.html";
        Scanner scanner = getUrlTextScanner(url);
        while (scanner.hasNext())
            System.out.println(scanner.nextLine());
    }
}